hpp-corbaserver: _objref_CenterOfMassComputation Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_CenterOfMassComputation Class Reference

`#include <hpp/pinocchio_idl/robots-idl.hh>`

Inheritance diagram for _objref_CenterOfMassComputation:
[legend]
Collaboration diagram for _objref_CenterOfMassComputation:
[legend]

## Public Member Functions
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
void | compute ()
floatSeq * | com ()
value_type | mass ()
floatSeqSeq * | jacobian ()
| _objref_CenterOfMassComputation ()
| _objref_CenterOfMassComputation (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_CenterOfMassComputation ()

## Friends
class | CenterOfMassComputation

## Constructor & Destructor Documentation

## ◆ _objref_CenterOfMassComputation() [1/2]

_objref_CenterOfMassComputation::_objref_CenterOfMassComputation | ( |  | ) |
| inline

## ◆ _objref_CenterOfMassComputation() [2/2]

_objref_CenterOfMassComputation::_objref_CenterOfMassComputation | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_CenterOfMassComputation()

virtual _objref_CenterOfMassComputation::~_objref_CenterOfMassComputation | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ com()

floatSeq * _objref_CenterOfMassComputation::com | ( |  | ) |

## ◆ compute()

void _objref_CenterOfMassComputation::compute | ( |  | ) |

## ◆ deleteIfExpired()

::CORBA::Boolean _objref_CenterOfMassComputation::deleteIfExpired | ( |  | ) |

## ◆ deleteThis()

void _objref_CenterOfMassComputation::deleteThis | ( |  | ) |

## ◆ jacobian()

floatSeqSeq * _objref_CenterOfMassComputation::jacobian | ( |  | ) |

## ◆ mass()

value_type _objref_CenterOfMassComputation::mass | ( |  | ) |

## ◆ persistantStorage()

void _objref_CenterOfMassComputation::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## Friends And Related Symbol Documentation

## ◆ CenterOfMassComputation

friend class CenterOfMassComputation
| friend

The documentation for this class was generated from the following file:

- src/hpp/pinocchio_idl/robots-idl.hh